Package io.strimzi.systemtest.resources

## Class ResourceOperation

- java.lang.Object
- - io.strimzi.systemtest.resources.ResourceOperation

-     public class ResourceOperation
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceOperation()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static long` | `getTimeoutForKafkaRebalanceState​(io.strimzi.api.kafka.model.balancing.KafkaRebalanceState state)` |
    `static long` | `getTimeoutForResourceDeletion()` |
    `static long` | `getTimeoutForResourceDeletion​(String kind)` |
    `static long` | `getTimeoutForResourceReadiness()` |
    `static long` | `getTimeoutForResourceReadiness​(String kind)` |
    `static long` | `timeoutForPodsOperation​(int numberOfPods)` | timeoutForPodsOperation returns a reasonable timeout in milliseconds for a number of pods in a quorum to roll on update, scale up or create

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceOperation

          public ResourceOperation()

  - ### Method Detail

    - #### getTimeoutForResourceReadiness

          public static long getTimeoutForResourceReadiness()

    - #### getTimeoutForResourceReadiness

          public static long getTimeoutForResourceReadiness​(String kind)

    - #### getTimeoutForKafkaRebalanceState

          public static long getTimeoutForKafkaRebalanceState​(io.strimzi.api.kafka.model.balancing.KafkaRebalanceState state)

    - #### timeoutForPodsOperation

          public static long timeoutForPodsOperation​(int numberOfPods)

      timeoutForPodsOperation returns a reasonable timeout in milliseconds for a number of pods in a quorum to roll on update, scale up or create

    - #### getTimeoutForResourceDeletion

          public static long getTimeoutForResourceDeletion()

    - #### getTimeoutForResourceDeletion

          public static long getTimeoutForResourceDeletion​(String kind)